Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class WebServer

    java.lang.Object
      org.pentaho.di.www.WebServer

    public class WebServer

extends Object

Field Summary
`static int` | `PORT`

Constructor Summary
`WebServer(TransformationMap transformationMap, JobMap jobMap, SocketRepository socketRepository, List<SlaveServerDetection> slaveServers, String hostname, int port)`
`WebServer(TransformationMap transformationMap, JobMap jobMap, SocketRepository socketRepository, List<SlaveServerDetection> detections, String hostname, int port, boolean join)`

Method Summary
`List<SlaveServerDetection>` | `getDetections()`
`String` | `getHostname()`
`org.mortbay.jetty.Server` | `getServer()`
`SocketRepository` | `getSocketRepository()`
`void` | `setHostname(String hostname)`
`void` | `setSocketRepository(SocketRepository socketRepository)`
`void` | `startServer()`
`void` | `stopServer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT

    public static final int PORT

See Also:
  Constant Field Values

Constructor Detail

### WebServer

    public WebServer(TransformationMap transformationMap,
                     JobMap jobMap,
                     SocketRepository socketRepository,
                     List<SlaveServerDetection> detections,
                     String hostname,
                     int port,
                     boolean join)
              throws Exception

Throws:
  `Exception`

### WebServer

    public WebServer(TransformationMap transformationMap,
                     JobMap jobMap,
                     SocketRepository socketRepository,
                     List<SlaveServerDetection> slaveServers,
                     String hostname,
                     int port)
              throws Exception

Throws:
  `Exception`

Method Detail

### getServer

    public org.mortbay.jetty.Server getServer()

### startServer

    public void startServer()
                     throws Exception

  Throws:
    `Exception`

### stopServer

    public void stopServer()

### getHostname

    public String getHostname()

  Returns:
    the hostname

### setHostname

    public void setHostname(String hostname)

  Parameters:
    `hostname` - the hostname to set

### getDetections

    public List<SlaveServerDetection> getDetections()

  Returns:
    the slave server detections

### getSocketRepository

    public SocketRepository getSocketRepository()

  Returns:
    the socketRepository

### setSocketRepository

    public void setSocketRepository(SocketRepository socketRepository)

  Parameters:
    `socketRepository` - the socketRepository to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD